## hkl-trajectory-private

hkl-trajectory-private

## Functions

HklTrajectoryResult * | hkl_trajectory_result_new ()
void | hkl_trajectory_result_free ()
void | hkl_trajectory_add_geometry ()
HklTrajectoryStats * | hkl_trajectory_stats_new ()
void | hkl_trajectory_stats_free ()
void | hkl_trajectory_stats_add ()
void | hkl_trajectory_stats_fprintf ()

## Types and Values

typedef | darray_geometry
struct | HklTrajectoryResult
typedef | darray_double
typedef | darray_sizet
struct | HklTrajectoryStats

## Description

## Functions

### hkl_trajectory_result_new ()

    HklTrajectoryResult *
    hkl_trajectory_result_new (void);

### hkl_trajectory_result_free ()

    void
    hkl_trajectory_result_free (HklTrajectoryResult *self);

### hkl_trajectory_add_geometry ()

    void
    hkl_trajectory_add_geometry (HklTrajectoryResult *self,
                                 const HklGeometry *geometry);

### hkl_trajectory_stats_new ()

    HklTrajectoryStats *
    hkl_trajectory_stats_new (int n);

### hkl_trajectory_stats_free ()

    void
    hkl_trajectory_stats_free (HklTrajectoryStats *self);

### hkl_trajectory_stats_add ()

    void
    hkl_trajectory_stats_add (HklTrajectoryStats *self,
                              const HklGeometryList *geometries);

### hkl_trajectory_stats_fprintf ()

    void
    hkl_trajectory_stats_fprintf (FILE *f,
                                  const HklTrajectoryStats *self);

## Types and Values

### darray_geometry

    typedef darray(HklGeometry *) darray_geometry;

### struct HklTrajectoryResult

    struct HklTrajectoryResult {
    	darray_geometry geometries;
    };

### darray_double

    typedef darray(double) darray_double;

### darray_sizet

    typedef darray(size_t) darray_sizet;

### struct HklTrajectoryStats

    struct HklTrajectoryStats {
    	size_t n;
    	darray_sizet nb_solutions;
    	darray_double axes_min;
    	darray_double axes_max;
    	darray_double axes_range;
    };